Bug 1668449 - Unable to refresh manifest or complete Expired Pools job
Summary: Unable to refresh manifest or complete Expired Pools job
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Candlepin
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-22 18:46 UTC by Mike McCune
Modified: 2019-10-07 17:18 UTC (History)
4 users (show)

Fixed In Version: candlepin-2.5.11-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1684700 (view as bug list)
Environment:
Last Closed: 2019-05-14 12:39:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:02 UTC

Description Mike McCune 2019-01-22 18:46:01 UTC
Certain mainfest imports or execution of the Expired Pools job on 6.4.1 will fail with an exception:

    2019-01-18 15:21:23,519 [thread=http-bio-8443-exec-9] [req=18b2658c-742a-4dea-bf9c-67fd2b818cdb, org=customer, csid=e313eddf] WARN  com.mchange.v2.c3p0.impl.NewPooledConnection - [c3p0] Another error has occurred [ org.postgresql.util.PSQLException: This connection has been closed. ] which will not be reported to listeners!
    org.postgresql.util.PSQLException: This connection has been closed.


...

2019-01-18 15:21:23,545 [thread=http-bio-8443-exec-9] [req=18b2658c-742a-4dea-bf9c-67fd2b818cdb, org=customer, csid=e313eddf] ERROR org.candlepin.resource.OwnerResource - Problem with archive
org.candlepin.sync.ImporterException: Failed to import archive
        at org.candlepin.sync.Importer.doExport(Importer.java:444)


This is apparently an issue with some of the SQL used for the Expired Pools job run that is blocking imports from completing.

Comment 9 Mike McCune 2019-03-01 22:16:34 UTC
This bug was cloned and is still going to be included in the 6.4.3 release. It no longer has the sat-6.4.z+ flag and 6.4.3 Target Milestone Set which are now on the 6.4.z cloned bug. Please see the Clones field to track the progress of this bug in the 6.4.3 release.

Comment 10 jcallaha 2019-03-18 13:31:20 UTC
Verified in Satellite 6.5.0 Snap 19

Setup:
Added 25000 hosts to the Satellite.
Attached the same subscription to each.
Changed the expiration date of the subscription to the day prior.

Test:
Ran a manifest refresh.

Result:
The manifest refreshed successfully

Comment 13 errata-xmlrpc 2019-05-14 12:39:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.